---@meta

---@class UBP_CheatManager_C : URGCheatManager
---@field UberGraphFrame FPointerToUberGraphFrame
local UBP_CheatManager_C = {}

function UBP_CheatManager_C:SitInPassengerSeat() end
---@param ResetAndGrabRearWinch boolean
function UBP_CheatManager_C:ResetAndGrabWinch(ResetAndGrabRearWinch) end
---@param GrabRearWinch boolean
function UBP_CheatManager_C:GrabWinch(GrabRearWinch) end
---@param ResetRearWinch boolean
function UBP_CheatManager_C:ResetWinch(ResetRearWinch) end
function UBP_CheatManager_C:DetachAllVehicleParts() end
---@param Checkpoint int32
function UBP_CheatManager_C:TeleportToCheckpoint(Checkpoint) end
function UBP_CheatManager_C:RevivePlayer() end
function UBP_CheatManager_C:DriveWinnebago() end
function UBP_CheatManager_C:DisableCollisionResponseOnAllTruckParts() end
function UBP_CheatManager_C:DisableCollisionOnAllTruckParts() end
function UBP_CheatManager_C:DisablePhysicsOnAllTruckParts() end
function UBP_CheatManager_C:DestroyAllScrewedDownTruckParts() end
function UBP_CheatManager_C:DestroyAllNonScrewedDownTruckParts() end
function UBP_CheatManager_C:DestroyAllTruckParts() end
---@param Amount int32
function UBP_CheatManager_C:GivePart(Amount) end
---@param Amount int32
function UBP_CheatManager_C:GiveEpiPens(Amount) end
function UBP_CheatManager_C:SaveGame() end
function UBP_CheatManager_C:UpdateAllVehicleAttachmentsState() end
function UBP_CheatManager_C:DestroyAllVehicleAttachments() end
function UBP_CheatManager_C:LogAllVehicleParts() end
---@param Damage int32
function UBP_CheatManager_C:TakeEngineDamage(Damage) end
---@param Damage int32
function UBP_CheatManager_C:TakeWheelDamage(Damage) end
function UBP_CheatManager_C:DetachRandomVehiclePart() end
---@param Damage int32
function UBP_CheatManager_C:DamageOneClientPlayer(Damage) end
---@param Damage int32
function UBP_CheatManager_C:DamageAllClientPlayers(Damage) end
---@param Damage int32
function UBP_CheatManager_C:DamageServerPlayer(Damage) end
---@param Damage int32
function UBP_CheatManager_C:DamageAllPlayers(Damage) end
---@param CheckpointIndex int32
function UBP_CheatManager_C:RestartAtCheckpoint(CheckpointIndex) end
---@param Actors TArray<AActor>
---@param ClosestActor AActor
function UBP_CheatManager_C:GetClosestActorToOwningPawn(Actors, ClosestActor) end
---@param Vehicle ABP_VehicleBase_C
function UBP_CheatManager_C:GetClosestVehicle(Vehicle) end
function UBP_CheatManager_C:TeleportToVehicle() end
---@param ActorClass TSubclassOf<ABP_Interactable_Actor_C>
function UBP_CheatManager_C:SpawnItemInFrontOfPlayer(ActorClass) end
---@param ValidPoint boolean
---@param PointLocation FVector
function UBP_CheatManager_C:GetSpawnPointInFrontOfPlayer(ValidPoint, PointLocation) end
function UBP_CheatManager_C:SpawnWinchController() end
---@param InteractableClass TSubclassOf<ABP_Interactable_Actor_C>
function UBP_CheatManager_C:Server_SpawnInteractableInFrontOfPlayer(InteractableClass) end
---@param ResetAndGrabRearWinch boolean
function UBP_CheatManager_C:Internal_ResetAndGrabWinch(ResetAndGrabRearWinch) end
---@param EntryPoint int32
function UBP_CheatManager_C:ExecuteUbergraph_BP_CheatManager(EntryPoint) end


